Skip to main content
POST
/
recruitment
/
v1
/
candidates
Create a candidate
curl --request POST \
  --url https://api-{region}.sesametime.com/recruitment/v1/candidates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "phone": "<string>",
  "email": "jsmith@example.com",
  "linkedInURL": "<string>",
  "desiredSalary": "<string>",
  "startWorkDate": "2025-12-01",
  "web": "<string>",
  "location": "<string>",
  "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": "<string>",
  "comment": "<string>",
  "gender": "male",
  "referralSource": "customer",
  "referralName": "<string>",
  "acceptPool": false,
  "checkPolicyPrivacy": false,
  "appliedAt": "2025-12-01"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vacancy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "contractType": "<string>",
      "experience": "<string>",
      "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "open",
      "openedAt": "2020-01-01T10:00:00+01:00",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "public": true,
      "locationVacancy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "scheduleType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "category": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "officeIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "departmentIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "type": "<string>",
    "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 123,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "linkedInURL": "<string>",
    "desiredSalary": "<string>",
    "startWorkDate": "2020-01-01T10:00:00+01:00",
    "evaluation": 123,
    "web": "<string>",
    "location": "<string>",
    "hasDocument": true,
    "comment": "<string>",
    "appliedAt": "2020-01-01T10:00:00+01:00",
    "threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lastComment": {},
    "numComments": 123,
    "imageProfileURL": "<string>",
    "checklist": {},
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "acceptPool": true,
    "checkPolicyPrivacy": true
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Candidate object that needs to be created

firstName
string
required

The first name of the candidate

lastName
string
required

The last name of the candidate

phone
string
required

The phone number of the candidate

email
string<email>
linkedInURL
string

The LinkedIn URL of the candidate

desiredSalary
string

The desired salary of the candidate

startWorkDate
string<date>

The start work date of the candidate

Example:

"2025-12-01"

web
string

The web of the candidate

location
string

The location of the candidate

vacancyId
string<uuid>

The identifier of the vacancy where the candidate will be added

statusId
string<uuid>

The identifier of the status of the candidate

address
string

The address of the candidate

comment
string

The description of the candidate

gender
enum<string>

The gender of the candidate

Available options:
male,
female,
non_binary_gender,
no_response
referralSource
enum<string>

The referral source of the candidate

Available options:
customer,
employee,
friendEmployee,
other,
socialMedia
referralName
string

The name of the person who referred the candidate

acceptPool
boolean
default:false

Whether the candidate accepts to be in the pool

checkPolicyPrivacy
boolean
default:false

Whether the candidate has accepted the privacy policy

appliedAt
string<date>

The date of the application

Example:

"2025-12-01"

Response

200 - application/json

Object

data
object
meta
object